<div 
    [ngClass]="{
        'field': true,
        'clearfix': true,
        'required': required,
        'focus': enabled && focus,
        'hover': enabled && !focus && hover,
        'disabled': !enabled,
        'warning': enabled && !focus && validateResult === 1,
        'error': enabled && !focus && validateResult === 2
    }"
>
    <div 
        *ngIf="caption && caption.trim()"
        tabindex="-1"
        class="field-label" 
    >
        {{caption}}
    </div>
    <div 
        class="field-value"
        tabindex="-1"
    >
        <div class="field-value-input-wrapper"><div
            [ngClass]="{
                'field-value-input': true,
                'clearfix': true,
                'ex-symbol': (arrowStyle === 1) || isLoaderShow
            }"
            tabindex="-1"
            (mouseenter)="onInputBlockMouseEnter($event)"
            (mouseleave)="onInputBlockMouseLeave($event)"
        >
            <div
                class="value-input-ex-symbol"
            >
                <i
                    *ngIf=" (arrowStyle === 1) && !isLoaderShow"
                    class="fa fa-angle-down" 
                    aria-hidden="true"
                    tabindex="-1"
                ></i>
                <i
                    *ngIf="isLoaderShow"
                    tabindex="-1"
                    class="fa fa-circle-o-notch fa-spin" 
                    aria-hidden="true"
                ></i>
            </div>
            <div
                #inputOnwer
                class="value-input-body"
            >
                <input
                    #input
                    [disabled]='!this.enabled'
                    (blur)="onInputBlur($event)"
                    (keydown.arrowUp)="onKeyDownArrowUp($event)"
                    (keydown.arrowDown)="onKeyDownArrowDown($event)"
                    (keydown.escape)="onKeyDownEscape($event)"
                    (keydown.enter)="onKeyDownEnter($event)"
                    (click)="onInputClick($event)"
                    (focus)="onInputFocus($event)"
                    [placeholder]="placeholder" 
                    [tabindex]="(!enabled && -1) || tabindex"
                    [(ngModel)]="text"
                >
            </div>
        </div></div>
        <span 
            *ngIf="validateResult == 1 || validateResult == 2" 
            tabindex="-1"
            class="field-value-message"
        >
            {{validateText}}
        </span>
    </div>
    <div class="field-required-content">
        <i class="fa fa-exclamation" aria-hidden="true"></i>
    </div>
</div>